Owned-citation share time series
curl --request GET \
--url https://core.cognizo.ai/api/v2/brands/{brand_id}/citations/citation_share \
--header 'X-API-KEY: <api-key>'import requests
url = "https://core.cognizo.ai/api/v2/brands/{brand_id}/citations/citation_share"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://core.cognizo.ai/api/v2/brands/{brand_id}/citations/citation_share', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"current_value": 123,
"above_average": true,
"data_points": [
{
"date": "<string>",
"count": 123,
"total": 123,
"share_percent": 123,
"average_count": 123,
"average_percentage": 123
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}Citations
Owned-citation share time series
GET
/
api
/
v2
/
brands
/
{brand_id}
/
citations
/
citation_share
Owned-citation share time series
Authorizations
Path Parameters
Query Parameters
Target brand name used for mention attribution. Defaults to the workspace brand's name.
Start of the ran_at window (ISO8601). Defaults to 30 days ago.
End of the ran_at window (ISO8601). Defaults to end of today.
Period truncation for the time series (default day).
Available options:
day, week, month Scope the counted citations to these domains (share vs the unscoped total).
Scope the counted citations to one URL (share vs the unscoped total).
Response
share time series
Show child attributes
Show child attributes

